// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('reload complete')

onEvent('recipes', event => {
	// Change recipes here
	event.remove({ output: 'createdeco:zinc_sheet' })
	event.remove({ id: 'computercraft:computer_normal' })
	event.remove({ id: 'computercraft:computer_advanced' })
	event.remove({ id: 'computercraft:pocket_computer_advanced' })
	event.remove({ id: 'computercraft:pocket_computer_normal' })
	event.shaped('computercraft:computer_normal', [
		'SPS',
		'SRS',
		'SGS'
	], {
		S: 'create:iron_sheet',
		P: 'vce_1_18:chip',
		R: 'minecraft:redstone',
		G: '#forge:glass_panes'
	})
	event.shaped('computercraft:pocket_computer_normal', [
		'SSS',
		'SPS',
		'SGS'
	], {
		S: 'create:iron_sheet',
		P: 'vce_1_18:chip',
		G: '#forge:glass_panes'
	})
	event.remove({ id: 'advancedperipherals:peripheral_casing' })
	event.shaped('advancedperipherals:peripheral_casing', [
		'SGS',
		'GPG',
		'SGS'
	], {
		S: 'create:iron_sheet',
			P: 'vce_1_18:chip',
		G: 'minecraft:iron_bars'
	})
	event.recipes.createSequencedAssembly([
		Item.of('vce_1_18:chip').withChance(100.0)], 'create:brass_sheet', [
			event.recipes.createDeploying('vce_1_18:uncompleted_chip', ['vce_1_18:uncompleted_chip', 'create:electron_tube']),
			event.recipes.createDeploying('vce_1_18:uncompleted_chip', ['vce_1_18:uncompleted_chip', 'create:electron_tube'])]).transitionalItem('vce_1_18:uncompleted_chip').loops(4)

})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})